@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@700&family=Roboto&display=swap');

.root-container {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Roboto', sans-serif;
  flex-direction: column;
}

input,
button {
  min-width: 250px;
  font-size: 1.5rem;
  height: 3rem;
  cursor: pointer;
  text-align: center;
}

label {
  min-width: 250px;
  font-size: 1.5rem;
}

h4 {
  margin: 0;
  padding: 0;
}

.datepicker-container {
  height: 100vh;
  display: flex;
}

.loader {
  width: 150px;
  display: flex;
}

.loader span {
  width: 15px;
  height: 60px;
  margin: 0 1px;
  background-color: #7e7e7e;
  transform: scaleY(0.1);
  animation: loading 1.1s ease-in-out infinite;
}

.loader span:nth-child(1) {
  animation-delay: 0.2s;
}

.loader span:nth-child(2) {
  animation-delay: 0.3s;
}

.loader span:nth-child(3) {
  animation-delay: 0.4s;
}

.loader span:nth-child(4) {
  animation-delay: 0.5s;
}

.loader span:nth-child(5) {
  animation-delay: 0.6s;
}

.loader span:nth-child(6) {
  animation-delay: 0.7s;
}

.loader span:nth-child(7) {
  animation-delay: 0.8s;
}

.loader span:nth-child(8) {
  animation-delay: 0.9s;
}

.loader span:nth-child(9) {
  animation-delay: 1s;
}

@keyframes loading {
  0% {
    transform: scaleY(0.1);
  }
  35% {
    transform: scaleY(1);
  }
  60%,
  100% {
    transform: scaleY(0.1);
  }
}

.scrooge-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100vh;
}

.ui-container {
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 300px;
  max-width: 500px;
  position: relative;
  gap: 0.5rem;
}

.results-main-container {
  display: flex;
  flex-direction: column;
  max-width: 1400px;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.results-column {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  flex-direction: row;
}

.results-number {
  width: 75px;
  height: 75px;
  display: flex;
  justify-content: center;
  align-items: center;
  top: -20%;
  left: -10%;
  z-index: 3;
}

.results-data {
  width: 300px;
  margin-bottom: 35px;
  display: flex;
  align-items: center;
  color: black;
  font-size: 1.25rem;
  flex-direction: column;
  gap: 0.5rem;
  align-self: flex-start;
}

.header h1 {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
  font-size: 3.75rem;
}

.header h3 {
  margin: 0;
  padding: 1rem 0 0 0;
  border-top: 3px solid black;
}

.header h5 {
  margin: 0;
  padding: 0;
  font-size: 1.28rem;
}

.hidden {
  visibility: hidden;
  height: 2rem;
  margin-bottom: 0.75rem;
}

.date-error-visible {
  color: red;
  font-size: 1.25rem;
  height: 2rem;
  width: 250px;
  margin-bottom: 0.75rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid rgb(251, 158, 158);
  border-radius: 5px;
}

.fade-in {
  animation: 0.5s fadeIn;
}
.fade-out {
  animation: 0.5s fadeOut;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

input[type='date']::-webkit-calendar-picker-indicator {
  cursor: pointer;
}

/* Button animation */
.btn {
  width: 250px;
  height: 3rem;
  line-height: 2.5rem;
  text-align: center;
  font-size: 2rem;
  border-radius: 5px;
  text-decoration: none;
  position: relative;
  transition: all 0.5s;
  overflow: hidden;
  cursor: pointer;
  margin-top: 2rem;
}

.btn span {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: transparent;
  border: 2px solid black;
  border-radius: 5px;
  z-index: -1;
}

.btn span::before {
  content: '';
  position: absolute;
  width: 1%;
  height: 600%;
  background-color: white;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-70deg);
  z-index: -2;
  transition: all 0.5s;
}

.btn:hover span::before {
  transform: translate(-50%, -50%) rotate(70deg);
  width: 100%;
  background-color: black;
}

.btn:hover {
  color: white;
}

.footer-container {
  width: 250px;
  height: 3rem;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin: 4rem 0;
}

.footer-container a {
  cursor: pointer;
}

@media only screen and (max-width: 1100px) {
  .root-container {
    height: 100%;
  }
  .results-column {
    flex-direction: column;
  }
}
